// Olvassuk be és tároljuk el

#include <iostream>
#include <fstream>
#include <string>
#include <sstream>
#include <vector>
#include <locale>

using namespace std;

struct menet {
    wstring ivaros, evaros, iidopont, eidopont, idatum;
    int tavolsag;
    float kihasznalt;
    bool potlo;
};

int main()
{
    // Az UTF-8 kódoláshoz
    locale::global(std::locale(""));
    wcout.imbue(std::locale());
    setlocale(LC_ALL, ".UTF8");

    vector<menet> adatok;
    wifstream be("menetrend.txt");
    wstring sor;
    getline(be, sor);
    while (!be.eof()) {
        getline(be, sor);
        if (sor.length() > 0) {
            menet m;
            wstringstream wstst(sor);
            wstst >> m.ivaros >> m.idatum >> m.iidopont >> m.evaros >> m.eidopont;
            wstst >> m.tavolsag >> m.kihasznalt;
            wstring potsz;
            wstst >> potsz;
            if (potsz == L"N") m.potlo = false; else m.potlo = true;
            adatok.push_back(m);
        }
    }
    be.close();
    for (unsigned int i = 0; i < adatok.size(); i++)
    {
        wcout << adatok[i].ivaros << '\t' << adatok[i].idatum << '\t' <<  adatok[i].iidopont << '\t' 
              << adatok[i].evaros << '\t' << adatok[i].eidopont << '\t' 
            << adatok[i].tavolsag << '\t' << adatok[i].kihasznalt << '\t' << adatok[i].potlo << endl;
    }
}
