// Vezeték és keresztnevek - 2. változat

#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include <locale>

using namespace std;

bool tartalmazza(wstring minta, wstring szoveg) {
    unsigned int i = 0;
    bool megvan = false;
    while (i + minta.length() <= szoveg.length() and not megvan) {
        unsigned int j = 0;
        while (i + j < szoveg.length() and j < minta.length() and szoveg[i + j] == minta[j])
            ++j;
        if (j < minta.length()) ++i;
        else megvan = true;
    }
    return megvan;
}


int main()
{
    // Az UTF-8 kódoláshoz
    locale::global(std::locale(""));
    wcout.imbue(std::locale());
    setlocale(LC_ALL, ".UTF8");
    
    vector<wstring> sorok;
    wifstream be("vezkernev.txt");
    wstring sor;
    while (!be.eof()) {
        getline(be, sor);
        sorok.push_back(sor);
    }
    be.close();

    vector<wstring> balazsok_adatai;
    for(unsigned int i=0; i<sorok.size(); ++i)
    {
        if( tartalmazza( L" Balázs ", sorok[i] ) )
            wcout << sorok[i] << endl;
    }
	
}
