// Vezeték és keresztnevek - 2. változat

using System;
using System.Collections.Generic;

namespace vezkernev1
{
    class Program
    {
        static bool tartalmazza(string minta, string szoveg)
        {
            int i = 0;
            bool megvan = false;
            while (i + minta.Length <= szoveg.Length && !megvan) {
                int j = 0;
                while (i + j < szoveg.Length && j<minta.Length && szoveg[i + j] == minta[j])
                    ++j;
                if (j < minta.Length) 
                    ++i;
                else 
                    megvan = true;
            }
            return megvan;
        }
        static void Main(string[] args)
        {
            string[] sorok = System.IO.File.ReadAllLines("vezkernev.txt");

            List<string> balazsok_adatai = new List<string>();

            for (int i = 0; i < sorok.Length; ++i) {
                if (tartalmazza(" Balázs ",sorok[i]))
                    balazsok_adatai.Add(sorok[i]);
            }

            for (int i = 0; i < balazsok_adatai.Count; ++i)
                Console.WriteLine(balazsok_adatai[i]);
        }
    }
}
